# Note this is NOT a relocatable thing :)
%define name            bonobo
%define ver             1.0.17
%define rel             1
%define prefix          %{_prefix}
%define sysconfdir      %{prefix}/etc

Name:		 %name
Summary:	 Library for compound documents in GNOME
Version: 	 %ver
Release: 	 %rel
License: 	 GPL
Group:		 System Environment/Libraries
Source: 	 ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.gz
Patch0:		 %{name}-%{version}-aix.patch
URL: 		 http://www.gnome.org/
BuildRoot:	 /var/tmp/%{name}-%{version}-root
Requires:	 gnome-libs >= 1.2.7
Requires:	 ORBit >= 0.5.7
Requires:	 oaf >= 0.6.2
Requires:	 libxml >= 1.8.10
BuildRequires:   gdk-pixbuf-devel >= 0.6.0
BuildRequires:   ORBit-devel >= 0.5.7
BuildRequires:   gtk+-devel >= 1.2.0
BuildRequires:   gnome-libs-devel >= 1.2.7
BuildRequires:   oaf-devel >= 0.6.2
BuildRequires:   libxml-devel >= 1.8.10
BuildRequires:   gnome-print-devel >= 0.16

%description
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

%package devel
Summary:	Libraries and include files for the Bonobo document model
Group:		Development/Libraries
Requires:	%name = %{version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop programs using the Bonobo document model.

%prep
%setup -q
%patch -p1 -b .aix
automake -i bonobo/Makefile

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
	if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
		export CC=%{DEFCC}
	else 
		export CC=gcc
	fi
fi
if test "X$CC" != "Xgcc"
then
	export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
	export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -ma -qlanglvl=extended"
	export CFLAGS="$RPM_OPT_FLAGS"
fi

LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG


CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} 

if [ "$SMP" != "" ]
then
    (make "MAKE=make -k -j $SMP"; exit 0)
    make
else
    make -k
fi


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make -k prefix=$RPM_BUILD_ROOT/%{_prefix} install
file $RPM_BUILD_ROOT%{prefix}/bin/* | awk -F ':' '/not stripped/ {print $1}' | xargs /usr/bin/strip


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

#%post -p /sbin/ldconfig
  
#%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_bindir}/*
%{_libdir}/pkgconfig/*
%dir %{_libdir}/bonobo
%dir %{_libdir}/bonobo/monikers
%{_libdir}/bonobo/monikers/*.so.*
%{_libdir}/bonobo/monikers/*.so
%{_libdir}/bonobo/monikers/*.a
%{_libdir}/*.so.*
%{_libdir}/*.a
%{_libdir}/*.so
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_datadir}/bonobo
%{_datadir}/idl/*
%{_datadir}/locale/*/*/*
#{_datadir}/mime-info/*.keys
%{_datadir}/oaf/*
%{_datadir}/gnome/ui

%files devel

%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.sh
%{_libdir}/bonobo/plugin


%changelog
* Mon Nov 26 2001 Dan Nguyen <dnn@austin.ibm.com>
- Update to 1.0.17

* Fri Oct 26 2001 Dan Nguyen <dnn@austin.ibm.com>
- Update to 1.0.12
- Enable stripping of binaries

* Mon Oct 15 2001 Dan Nguyen <dnn@austin.ibm.com>
- Packaging bonobo

* Thu May 24 2001 Gregory Leblanc <gleblanc@localhost.localdomain>
- removed unnecessary %defines
- lots of work on %files
- made %setup quiet
- fixed %post
- replaced copyright with license
- reformatted BuildRequires

* Wed Feb 21 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- fixed macros and hard-coded paths.  Should be very portable now.

* Wed Oct 18 2000 Eskil Heyn Olsen <eskil@eazel.com>
- Added requirements to the base package
- Added bonobo-ui-extract to the file list of the base pacakge

* Tue Feb 22 2000 Jens Finke <jens.finke@informatik.uni-oldenburg.de>
- Added bonobo.h to the file list of devel package.

* Wed Nov 10 1999 Alexander Skwar <ASkwar@DigitalProjects.com>
- Updated to version 0.5
- fixed spec file
- Un-quiet things
- stripped binaries
- unsetted language environment variables

* Sat Oct 2 1999 Gregory McLean <gregm@comstar.net>
- Updated the spec for version 0.4
- Updated the files section.

* Sun Aug 1 1999 Gregory McLean <gregm@comstar.net>
- Some updates. sysconfdir stuff, quiet down the prep/configure stage.

* Sat May 1 1999 Erik Walthinsen <omega@cse.ogi.edu>
- created spec file
